3 votos

¿Cómo instalar el módulo de Python para Gnash?

Mi verdadero problema es: ¿Cómo puedo instalar el módulo de Python para Gnash?

Pero aparte de eso, ¿qué concepto básico no soy yo la comprensión acerca de la instalación de paquetes en Linux?

Estoy acostumbrado a la instalación de paquetes con los gestores de paquetes – mayormente apt-get y zypper. Yo en ocasiones han instalado de origen, a menudo sin ningún tipo de problema. Sin embargo, recientemente he instalado Gnash y descubrió que tiene una Pitón de unión que se debe compilar desde el código fuente y esto ha llevado abajo de un rabbithole me hace sentir tonto en cada turno.

En primer lugar, yo intento hacer una ./configure --enable-python en la gnash fuente dir. Esto termina produciendo un error que

paquete pygtk-codegen-2.0 no se encuentra

El desarrollador principal, Rob Savoye, fue lo suficientemente amable para que me señale en packages.debian.org, me dice que necesito localizar a este paquete. Después de muchos fallaron las búsquedas, encontré que el python-gtk2-dev paquete contiene este ... archivo? guión? Genial, pero no pude averiguar cómo obtener el python-gtk2-dev paquete. No existe en ninguna de mis openSUSE repositorios configurados.

Así que me dirigí a la GNOME sitio y buscado, encontrado que el PyGTK paquete contiene pygtk-codegen. Descargar el tarball, cd, ./configure, y esto produce un error porque no tengo GLIB. Después de algunos más búsqueda utilizo zypper a instalar glib2-devel (libglib-2.0 ya estaba instalado), y ahora PyGTK no configurar porque no tengo GObject.

Parece que, al descargar el tarball, cd, ./configure, no. No tengo gobject-introspection-1.0, al parecer. Tengo gobject-introspection instalado y la versión es ≥ 1.0, pero eso es lo que hace el script dice.

Así que admito que soy nuevo en Linux, pero tengo que estar faltan algunos básica paso a paso aquí. Puede alguien darme una pista sobre alguno de los anteriores? Es normal tener que instalar una dependencia tras otro como este? Es OpenSUSE el mal distro? Lo que haría de este proceso no es tan horrible?

1voto

Sly Puntos 514

Primero de todos, usted debe agregar el "Packman" repositorio para Opensuse. Packman es el más grande de la 3ª parte del servicio de generación de paquetes de opensuse. Consulte esta lista adicional de los repositorios de Opensuse. Recomiendo el uso de "zypper" para la gestión de paquetes, pero yast también funcionan bien.

Agregar packman para zypper (como usuario root) como:

zypper ar http://packman.inode.at/suse/openSUSE_11.4 packman11.4

Entonces, usted necesita para encontrar e instalar el python-gtk y python-gtk-devel paquetes. El uso de zypper de búsqueda para encontrar exactamente los nombres de los paquetes antes de instalar (no sé fuera de la parte superior de mi cabeza)

zypper search python-gtk
zypper install python-gtk-xx, python-gtk-dev-xx

La instalación de estos paquetes deben resolver sus problemas de dependencia

0voto

DaveTheRave Puntos 1

Puede utilizar software.opensuse.org para buscar un paquete que necesita. Puede Agregar repositorio a tu sistema utilizando zypper o sólo 1-Click-Install en el resultado de la búsqueda.

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: